> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/docs/v2.1/core-concepts/organizations.md).

# Organizations

## Overview

Bloom uses the terms Organizations and Partners to refer to prospects, customers, and even Bloom itself. To clarify the difference between these terms, refer to the definitions below.

### Organizations

An organization is a company or entity that may have one or more consumers. This does not imply the organization is a customer of Bloom (as Bloom itself can be an organization).

### Partners

A partner is an organization engaged in a relationship with Bloom, whether as a paying customer or a potential customer.

### Partner and Organization IDs

Bloom assigns a unique `partner_id` or `organization_id` to both organizations and partners to identify their API requests.

### Alias Organization IDs

There are use cases where a partner may want to comprise multiple organizations, and have one or more of them alias to one or more others in their Bloom API requests. For this, Bloom supports alias organization IDs.

While onboarding with Bloom, specify if you would like this functionality.

Example behavior: Organization A and B are created, with organization B aliasing to organization A. Every time a consumer is created or retrieved, for example, under organization B, Bloom will map to organization A under the hood and execute the request as if it was originally made for organization A. Retrieving all consumers for organization A or B will yield the same set of consumers.

Example use case: Your organization utilizes enablement services and reports to multiple sub-clients, but you still want all of your consumers under the parent organization.

{% hint style="info" %}
**Note**

This ID is different from your `client_id` and is not used for authorization requests.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/docs/v2.1/core-concepts/organizations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
